export interface IPreprocessorConfiguration {
    readonly stepDefinitions: string | string[];
    readonly messages?: {
        enabled: boolean;
        output?: string;
    };
    readonly json?: {
        enabled: boolean;
        formatter?: string;
        output?: string;
    };
    readonly filterSpecs?: boolean;
    readonly omitFiltered?: boolean;
}
export declare class PreprocessorConfiguration implements IPreprocessorConfiguration {
    private explicitValues;
    constructor(explicitValues: Partial<IPreprocessorConfiguration>);
    get stepDefinitions(): string | string[];
    get messages(): {
        enabled: boolean;
        output: string;
    };
    get json(): {
        enabled: boolean;
        formatter: string;
        output: string;
    };
    get filterSpecs(): boolean;
    get omitFiltered(): boolean;
}
export declare function resolve(searchFrom?: string): Promise<PreprocessorConfiguration>;
